<testsuites>
  <!--Report is generated by Rally 3.0.0 at 2020-04-10T06:57:01.303188-->
  <testsuite errors="0" failures="0" id="9aaa0b1b-a834-4279-9961-fd993f9fd4b9" skipped="0" tests="6" time="44.00" timestamp="2020-04-10T06:09:26">
    <testcase classname="Authenticate" id="319f5be7-bed5-497a-b39e-77b16120badf" name="keystone" time="5.54" timestamp="2020-04-10T06:09:29" />
    <testcase classname="Authenticate" id="67b3cb62-43fd-4266-83fd-538b586c49ad" name="validate_cinder" time="5.30" timestamp="2020-04-10T06:09:36" />
    <testcase classname="Authenticate" id="5e62cd86-abb4-479f-977b-a1c74c9a898b" name="validate_glance" time="5.86" timestamp="2020-04-10T06:09:42" />
    <testcase classname="Authenticate" id="d3871e52-c0f6-4b19-9290-b7c1f5029521" name="validate_heat" time="6.56" timestamp="2020-04-10T06:09:48" />
    <testcase classname="Authenticate" id="92aff00b-d1b6-4a70-b8c5-677f4342fe94" name="validate_neutron" time="6.42" timestamp="2020-04-10T06:09:56" />
    <testcase classname="Authenticate" id="b907c350-26ad-4c82-9afa-3c7cace64454" name="validate_nova" time="5.18" timestamp="2020-04-10T06:10:04" />
  </testsuite>
  <testsuite errors="0" failures="0" id="52bcdd51-16de-453f-8810-628a184e0c2d" skipped="0" tests="8" time="219.00" timestamp="2020-04-10T06:10:21">
    <testcase classname="GlanceImages" id="8030a098-1cf7-4a23-8c86-a8f680f13610" name="create_and_delete_image" time="16.71" timestamp="2020-04-10T06:10:35" />
    <testcase classname="GlanceImages" id="1b003d2e-d299-4563-8c52-c7a2d96a831c" name="create_and_list_image" time="16.77" timestamp="2020-04-10T06:10:54" />
    <testcase classname="GlanceImages" id="289d5ab8-b2e2-43aa-affa-fefc23de51c2" name="list_images" time="5.73" timestamp="2020-04-10T06:11:12" />
    <testcase classname="GlanceImages" id="2bf81827-ef04-4dcc-9df4-88e757f91070" name="create_image_and_boot_instances" time="88.30" timestamp="2020-04-10T06:11:18" />
    <testcase classname="GlanceImages" id="a3484bff-94b2-4846-979e-db41f005105a" name="create_and_deactivate_image" time="15.81" timestamp="2020-04-10T06:12:47" />
    <testcase classname="GlanceImages" id="5780395f-1e7a-47f5-8980-7899be60e39d" name="create_and_download_image" time="17.96" timestamp="2020-04-10T06:13:03" />
    <testcase classname="GlanceImages" id="08140b77-753a-4416-a0ab-f7555242c052" name="create_and_get_image" time="19.30" timestamp="2020-04-10T06:13:21" />
    <testcase classname="GlanceImages" id="25e94f55-6f49-4cb9-850b-0a8a1cdda09c" name="create_and_update_image" time="16.34" timestamp="2020-04-10T06:13:42" />
  </testsuite>
  <testsuite errors="0" failures="0" id="5d972f25-35dd-49c1-a6d1-6e1e54fe1678" skipped="0" tests="24" time="853.00" timestamp="2020-04-10T06:14:12">
    <testcase classname="CinderVolumes" id="95489c1b-b3af-4ae4-9915-2106d0856604" name="create_and_attach_volume" time="103.80" timestamp="2020-04-10T06:14:21" />
    <testcase classname="CinderVolumes" id="c9d22989-1f95-45ad-b5e3-3a4feaebe971" name="create_and_list_snapshots" time="32.95" timestamp="2020-04-10T06:16:06" />
    <testcase classname="CinderVolumes" id="3eb50a0c-b0d5-4082-ae11-429da9430b0a" name="create_and_list_volume" time="27.89" timestamp="2020-04-10T06:16:40" />
    <testcase classname="CinderVolumes" id="980fd1f0-fc0a-4994-9f60-c43ee65a6f63" name="create_and_list_volume" time="23.12" timestamp="2020-04-10T06:17:08" />
    <testcase classname="CinderVolumes" id="30c92082-d8ea-432b-80e3-1b8e3d804443" name="create_and_upload_volume_to_image" time="69.68" timestamp="2020-04-10T06:17:33" />
    <testcase classname="CinderVolumes" id="f1b752a7-fb1c-4ebf-bfff-9877181f7d91" name="create_nested_snapshots_and_attach_volume" time="115.04" timestamp="2020-04-10T06:18:43" />
    <testcase classname="CinderVolumes" id="5a8423fc-5929-4c37-920f-747451738c3a" name="create_snapshot_and_attach_volume" time="115.60" timestamp="2020-04-10T06:20:40" />
    <testcase classname="CinderVolumes" id="c7f72fc9-cfa9-47fa-801c-d9eb45fae448" name="create_volume" time="18.11" timestamp="2020-04-10T06:22:37" />
    <testcase classname="CinderVolumes" id="ba2af0f3-4503-409b-a291-2621c297e697" name="create_volume" time="18.65" timestamp="2020-04-10T06:22:55" />
    <testcase classname="CinderVolumes" id="2442d7db-621c-4d70-844f-4b396eb409d9" name="list_volumes" time="42.07" timestamp="2020-04-10T06:23:15" />
    <testcase classname="CinderVolumes" id="0abb3ee7-425a-4dde-b687-34cebeb41f78" name="create_and_delete_snapshot" time="32.39" timestamp="2020-04-10T06:23:57" />
    <testcase classname="CinderVolumes" id="0d95c852-6428-4637-9821-9ab7b48ea27c" name="create_and_delete_volume" time="22.74" timestamp="2020-04-10T06:24:32" />
    <testcase classname="CinderVolumes" id="1fda6294-75b0-4331-9a91-8ca616b34b09" name="create_and_delete_volume" time="29.80" timestamp="2020-04-10T06:24:56" />
    <testcase classname="CinderVolumes" id="36f9c50a-353f-469b-8f6d-4b88e89654ba" name="create_and_delete_volume" time="22.94" timestamp="2020-04-10T06:25:26" />
    <testcase classname="CinderVolumes" id="77fa951f-0fe0-44df-a624-51afccf81717" name="create_and_extend_volume" time="29.33" timestamp="2020-04-10T06:25:50" />
    <testcase classname="CinderVolumes" id="6f87c4c8-629b-4e43-b80b-4373f529fa2e" name="create_from_volume_and_delete_volume" time="38.81" timestamp="2020-04-10T06:26:21" />
    <testcase classname="CinderQos" id="1d48ed50-534c-4d86-88a4-962287faa691" name="create_and_get_qos" time="8.36" timestamp="2020-04-10T06:27:01" />
    <testcase classname="CinderQos" id="2255474e-4bc1-4780-b067-7aac51909209" name="create_and_list_qos" time="10.80" timestamp="2020-04-10T06:27:11" />
    <testcase classname="CinderQos" id="23d49047-5bda-4728-84d6-4016da344f5a" name="create_and_set_qos" time="10.09" timestamp="2020-04-10T06:27:23" />
    <testcase classname="CinderVolumeTypes" id="884790ad-7c2a-4552-9e5c-0ba97af3e4d9" name="create_and_get_volume_type" time="9.06" timestamp="2020-04-10T06:27:36" />
    <testcase classname="CinderVolumeTypes" id="8233add7-faaa-483d-821a-80d47330a0c3" name="create_and_list_volume_types" time="7.64" timestamp="2020-04-10T06:27:46" />
    <testcase classname="CinderVolumeTypes" id="7c8ebd72-4292-4e15-bc2b-7958fe8507ad" name="create_and_update_volume_type" time="9.17" timestamp="2020-04-10T06:27:54" />
    <testcase classname="CinderVolumeTypes" id="62124853-b698-4eeb-8562-328c50b8cd01" name="create_volume_type_and_encryption_type" time="9.23" timestamp="2020-04-10T06:28:04" />
    <testcase classname="CinderVolumeTypes" id="d708a6fa-3939-4717-a739-b869f7091fa3" name="create_volume_type_add_and_list_type_access" time="8.65" timestamp="2020-04-10T06:28:14" />
  </testsuite>
  <testsuite errors="0" failures="0" id="175a8ac9-aa45-4fb0-9d0a-95feb04829a7" skipped="0" tests="13" time="496.00" timestamp="2020-04-10T06:28:35">
    <testcase classname="HeatStacks" id="17e4ff85-f66d-4109-b7e7-101b43a7f573" name="create_and_delete_stack" time="16.90" timestamp="2020-04-10T06:28:45" />
    <testcase classname="HeatStacks" id="996ca897-586a-4ece-a939-e306a1592435" name="create_and_delete_stack" time="103.51" timestamp="2020-04-10T06:29:03" />
    <testcase classname="HeatStacks" id="cfe0a9e8-9b06-4b81-95aa-2a92e746e411" name="create_and_delete_stack" time="89.41" timestamp="2020-04-10T06:30:48" />
    <testcase classname="HeatStacks" id="ef4ee3da-caef-4a08-b1a5-b7ff7c251472" name="create_and_list_stack" time="17.37" timestamp="2020-04-10T06:32:19" />
    <testcase classname="HeatStacks" id="57d249a9-d1af-419c-89e3-8d0105fb2a34" name="create_update_delete_stack" time="32.59" timestamp="2020-04-10T06:32:37" />
    <testcase classname="HeatStacks" id="1d7699ba-2a6b-45a9-bd2a-d4dd607b558a" name="create_update_delete_stack" time="26.09" timestamp="2020-04-10T06:33:11" />
    <testcase classname="HeatStacks" id="d3f5ad49-4fcd-49f9-9a74-3ff7abdeebc9" name="create_update_delete_stack" time="42.31" timestamp="2020-04-10T06:33:37" />
    <testcase classname="HeatStacks" id="80fd8430-e8b1-4a8e-90ec-3d5934572dd0" name="create_update_delete_stack" time="27.81" timestamp="2020-04-10T06:34:22" />
    <testcase classname="HeatStacks" id="a9f37115-999f-4263-8aeb-6aa2429142b6" name="create_update_delete_stack" time="34.74" timestamp="2020-04-10T06:34:50" />
    <testcase classname="HeatStacks" id="7158d7e2-f929-4fe5-a7d9-867551d1d45e" name="create_update_delete_stack" time="27.29" timestamp="2020-04-10T06:35:26" />
    <testcase classname="HeatStacks" id="82e2a195-e564-47eb-a18b-229539e93956" name="create_check_delete_stack" time="21.35" timestamp="2020-04-10T06:35:55" />
    <testcase classname="HeatStacks" id="ddf3615a-530c-4a3b-a97e-3eeea68e4f65" name="create_suspend_resume_delete_stack" time="26.46" timestamp="2020-04-10T06:36:17" />
    <testcase classname="HeatStacks" id="9cf7937d-c883-4820-8bf5-f4230d3244ca" name="list_stacks_and_resources" time="5.89" timestamp="2020-04-10T06:36:45" />
  </testsuite>
  <testsuite errors="0" failures="0" id="e1f7941c-46d0-4fe0-8f36-2aeca9d410ed" skipped="0" tests="11" time="141.00" timestamp="2020-04-10T06:37:01">
    <testcase classname="KeystoneBasic" id="eff262c0-0dbf-44b3-81a0-d3d01a5e6801" name="add_and_remove_user_role" time="9.76" timestamp="2020-04-10T06:37:05" />
    <testcase classname="KeystoneBasic" id="81bdfc9a-0141-4403-9da5-73a3ee99eb75" name="create_add_and_list_user_roles" time="10.14" timestamp="2020-04-10T06:37:15" />
    <testcase classname="KeystoneBasic" id="f3f1a843-d5f7-4531-be32-967be678c88b" name="create_and_list_tenants" time="10.34" timestamp="2020-04-10T06:37:28" />
    <testcase classname="KeystoneBasic" id="2df92412-012a-43a7-a999-e3a7aee1caf9" name="create_and_delete_role" time="7.25" timestamp="2020-04-10T06:37:40" />
    <testcase classname="KeystoneBasic" id="033e7877-dd10-4f89-a7ea-6b948c66df17" name="create_and_delete_service" time="7.11" timestamp="2020-04-10T06:37:48" />
    <testcase classname="KeystoneBasic" id="97ced585-4b3f-48de-a2d8-c6ba71968839" name="get_entities" time="16.58" timestamp="2020-04-10T06:37:56" />
    <testcase classname="KeystoneBasic" id="0d1bc502-3225-4df3-8685-89c9434d7832" name="create_update_and_delete_tenant" time="8.28" timestamp="2020-04-10T06:38:15" />
    <testcase classname="KeystoneBasic" id="31a62299-cc88-44b3-8d62-75e618ecd6ed" name="create_user" time="7.88" timestamp="2020-04-10T06:38:25" />
    <testcase classname="KeystoneBasic" id="fe8c0518-6fa7-43f8-a535-e0a6c9eec53e" name="create_tenant" time="7.36" timestamp="2020-04-10T06:38:33" />
    <testcase classname="KeystoneBasic" id="2d5364cd-95f3-439f-a505-f17a6ebe024e" name="create_and_list_users" time="7.53" timestamp="2020-04-10T06:38:41" />
    <testcase classname="KeystoneBasic" id="621c9e7f-2d46-48b1-806b-f8a1469efd12" name="create_tenant_with_users" time="31.05" timestamp="2020-04-10T06:38:50" />
  </testsuite>
  <testsuite errors="0" failures="1" id="4fc1d6ad-9536-401e-86ca-6cc42fc4b6d1" skipped="0" tests="8" time="297.00" timestamp="2020-04-10T06:39:32">
    <testcase classname="NeutronNetworks" id="c9dc5d83-c18f-4e30-a0f3-31a209234f91" name="create_and_update_networks" time="24.38" timestamp="2020-04-10T06:39:36" />
    <testcase classname="NeutronNetworks" id="9c601e58-fb10-41f3-8d71-07809e0100be" name="create_and_update_ports" time="34.36" timestamp="2020-04-10T06:40:03" />
    <testcase classname="NeutronNetworks" id="828e973f-9afb-4b2a-8b06-52b40ac12883" name="create_and_update_routers" time="58.04" timestamp="2020-04-10T06:40:39" />
    <testcase classname="NeutronNetworks" id="9c0adc63-f361-4912-aad0-dcb4a4dc3a24" name="create_and_update_subnets" time="32.23" timestamp="2020-04-10T06:41:38" />
    <testcase classname="NeutronNetworks" id="4af5c188-e2fb-45a0-bb7f-348333d6bc77" name="create_and_delete_networks" time="23.91" timestamp="2020-04-10T06:42:12" />
    <testcase classname="NeutronNetworks" id="43812b7c-49a2-47a5-bdd3-86fa26f1ba28" name="create_and_delete_ports" time="28.84" timestamp="2020-04-10T06:42:36" />
    <testcase classname="NeutronNetworks" id="5d91b0ca-c689-4767-95bd-bf051f03d372" name="create_and_delete_routers" time="46.58" timestamp="2020-04-10T06:43:06" />
    <testcase classname="NeutronNetworks" id="e23ac7f0-6e1e-45d9-9d95-21daf5efade4" name="create_and_delete_subnets" time="32.79" timestamp="2020-04-10T06:43:55">
      <failure>Failure rate criteria 0.00% &lt;= 28.57% &lt;= 0.00% - Failed
Task was aborted due to SLA failure(s).</failure>
    </testcase>
  </testsuite>
  <testsuite errors="0" failures="1" id="e4a818be-636b-4582-8c06-6be7e376dbb4" skipped="0" tests="3" time="602.00" timestamp="2020-04-10T06:44:39">
    <testcase classname="NovaKeypair" id="03938f55-f903-4df9-ac7c-47b1b770d0c3" name="create_and_delete_keypair" time="10.74" timestamp="2020-04-10T06:44:58" />
    <testcase classname="NovaKeypair" id="9e51944f-bd9e-4774-afa4-420266771645" name="create_and_list_keypairs" time="10.98" timestamp="2020-04-10T06:45:10" />
    <testcase classname="NovaServers" id="5c63de4c-d27f-4e62-9164-d3ea8f9499bd" name="boot_and_bounce_server" time="557.88" timestamp="2020-04-10T06:45:22">
      <failure>Failure rate criteria 0.00% &lt;= 20.00% &lt;= 0.00% - Failed
Task was aborted due to SLA failure(s).</failure>
    </testcase>
  </testsuite>
  <testsuite errors="0" failures="0" id="91ba4acf-28a7-45ff-8b03-3a6ad53eac93" skipped="0" tests="4" time="32.00" timestamp="2020-04-10T06:54:51">
    <testcase classname="Quotas" id="7ada1ca1-2fe5-493b-b61f-23962200d15d" name="cinder_update_and_delete" time="6.12" timestamp="2020-04-10T06:54:54" />
    <testcase classname="Quotas" id="79d6ba4f-98c8-40ad-81f1-9bae5b955c43" name="cinder_update" time="5.89" timestamp="2020-04-10T06:55:03" />
    <testcase classname="Quotas" id="18056e9d-ec48-4f58-bd9f-1f5a61f488fc" name="neutron_update" time="5.55" timestamp="2020-04-10T06:55:09" />
    <testcase classname="Quotas" id="c080abe4-93e6-4d19-bce5-43643eff87b8" name="nova_update" time="7.05" timestamp="2020-04-10T06:55:15" />
  </testsuite>
  <testsuite errors="0" failures="0" id="2b8583d4-6997-465a-afa0-45eeeebc809f" skipped="0" tests="5" time="73.00" timestamp="2020-04-10T06:55:33">
    <testcase classname="SwiftObjects" id="8d6358fc-5eb2-4fe8-908d-38226954a95c" name="create_container_and_object_then_list_objects" time="14.12" timestamp="2020-04-10T06:55:36" />
    <testcase classname="SwiftObjects" id="2c40791b-1072-4d0e-b35d-d968eb25ca87" name="list_objects_in_containers" time="11.03" timestamp="2020-04-10T06:55:53" />
    <testcase classname="SwiftObjects" id="22d44321-fd4f-4cb5-8d4e-f1f04c0e526d" name="create_container_and_object_then_download_object" time="16.53" timestamp="2020-04-10T06:56:05" />
    <testcase classname="SwiftObjects" id="f556bcd7-aa33-47fa-a18d-987c3850c0eb" name="create_container_and_object_then_delete_all" time="9.20" timestamp="2020-04-10T06:56:23" />
    <testcase classname="SwiftObjects" id="38858d6e-d17d-4288-89a2-520067a3539d" name="list_and_download_objects_in_containers" time="11.44" timestamp="2020-04-10T06:56:34" />
  </testsuite>
</testsuites>
